use serenity::builder::{CreateEmbed, CreateEmbedFooter, CreateMessage};
use serenity::{
    all::Message,
    client::Context,
    framework::standard::{macros::command, CommandResult},
};

#[command]
#[description = "Info to ask for new meme"]
pub async fn ask(ctx: &Context, msg: &Message) -> CommandResult {
    let footer = CreateEmbedFooter::new("WeeboBot");
    let embed = CreateEmbed::new()
            .title("New meme ?")
            .field("Hello, si tu souhaites ajouter un nouveau meme au bot, tu dois demander à batleforc d'en ajouter un nouveau. Tu peux le faire en lui envoyant un message.".to_string(), String::new(), true)
            .footer(footer);
    let builder = CreateMessage::new().embed(embed);
    if let Err(why) = msg.channel_id.send_message(&ctx.http, builder).await {
        println!("Error sending message: {:?}", why)
    }
    Ok(())
}
